#
%define module	Rabbyt
#
Summary:	Library for Python to game development
Summary(pl.UTF-8):	Biblioteka dla Pythona do tworzenia gier
Name:		python-%{module}
Version:	0.8.3
Release:	4
License:	MIT
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/R/Rabbyt/%{module}-%{version}.zip
# Source0-md5:	bb603a5cb02f3a8bb2e674f60e62de2c
URL:		http://pypi.python.org/pypi/Rabbyt/
BuildRequires:	Mesa-libGLU-devel
BuildRequires:	ncurses-devel
BuildRequires:	python-Pyrex
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rabbyt is a sprite library for Python with game development in mind.
It has two goals:
1. Be fast, without sacrificing ease of use.
2. Be easy to use, without sacrificing speed.

%description -l pl.UTF-8
Rabbyt jest małą biblioteką dla Pythona służącą do tworzenia
gier. Posiada dwa cele:
1. Być szybką bez utraty prostoty użycia.
2. Być prostą w użyciu bez utraty szybkości.

%prep
%setup -q -n %{module}-%{version}

%{__sed} -i -e "s/'-O3',\?//" setup.py

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README THANKS examples
%dir %{py_sitedir}/rabbyt
%{py_sitedir}/rabbyt/*.py[co]
%attr(755,root,root) %{py_sitedir}/rabbyt/*.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/Rabbyt-*.egg-info
%endif
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Rabbyt.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ff05f1d
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a0aa44e
- automatic change: use py_build/py_install macros

* Wed Oct 27 2010 Szymon Siwek <sls@pld-linux.org> cd56cec
- BR: Mesa-libGLU-devel

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> eb7a0a8
- release 3

* Tue Jun 22 2010 lisu <lisu@pld-linux.org> 4df2218
- new URL

* Fri Nov 06 2009 lisu <lisu@pld-linux.org> 6d742fa
- python version specific .egg-info
- rel 2

* Thu Sep 10 2009 lisu <lisu@pld-linux.org> aaf06c2
- up to 0.8.3
- python specific .egg-info

* Mon Nov 24 2008 lisu <lisu@pld-linux.org> 1df5448
- 0.8.2

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c57a0a
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ed24c5
- release 2

* Fri Apr 04 2008 lisu <lisu@pld-linux.org> d4f6bd3
- up to 0.8.1
- use sed macro

* Wed Dec 19 2007 lisu <lisu@pld-linux.org> 07c71b5
- 0.7.6

* Thu Oct 18 2007 lisu <lisu@pld-linux.org> 660bc66
- 0.7.5
- more files included to doc

* Sun Oct 14 2007 arvenil <arvenil@pld-linux.org> a4fc4c9
- BR: python-setuptools
- clean

* Sat Aug 18 2007 lisu <lisu@pld-linux.org> 16f9f29
- 0.7
- new License (MIT)

* Sun Aug 05 2007 lisu <lisu@pld-linux.org> 5e90268
- 0.6

* Sat Aug 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 8c967e6
- another way

* Sat Aug 04 2007 Jakub Bogusz <qboosh@pld-linux.org> e24039e
- install binary modules in proper dir
- use optflags
- BR: rpm-pythonprov etc.

* Sun Jul 29 2007 lisu <lisu@pld-linux.org> bb87425
- 0.0.5
- include examples dir to doc

* Sun Jul 22 2007 lisu <lisu@pld-linux.org> befd28f
- 0.0.4
- cosmetics

